### Class

# Snapd Plug

since: 1.0

#### Description [src]

    final class Snapd.Plug : GObject.Object
    {
      /* No available fields */
    }

`SnapdPlug` contains information about a Snap plug.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_plug_get_attribute

Get an attribute for this interface.

since: 1.3

###### snapd_plug_get_attribute_names

Get the names of the attributes this plug has.

since: 1.3

###### snapd_plug_get_connected_slots

Get the slots connected to this plug.

since: 1.48

###### snapd_plug_get_connections

Get the connections being made with this plug.

deprecated: 1.48 since: 1.0

###### snapd_plug_get_interface

Get the name of the interface this plug provides.

since: 1.0

###### snapd_plug_get_label

Get a human readable label for this plug.

since: 1.0

###### snapd_plug_get_name

Get the name of this plug.

since: 1.0

###### snapd_plug_get_snap

Get the snap this plug is on.

since: 1.0

###### snapd_plug_has_attribute

Check if this plug has an attribute.

since: 1.3

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Plug:attributes

No description available.

###### Snapd.Plug:connections

No description available.

###### Snapd.Plug:interface

No description available.

###### Snapd.Plug:label

No description available.

###### Snapd.Plug:name

No description available.

###### Snapd.Plug:snap

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdPlugClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.